
QGIS Application - Bug report #21657

qgis crashes when resetting map scale in  new map view

2019-03-22 08:40 PM - luca bellani

Status: Open

Priority: High

Assignee:

Category: Map Canvas

Affected QGIS version:3.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 29473

Description

I work with several map views at the same time. When I try to modify the scale factor, or any of the options of the attached canvases,

QGIS goes in crash. Sometimes, it signals an error, sometimes not, and it closes without warning anything.

It happens both in 3.4.5 that 3.6

It happens in 2 computers, with the same windows 10 64 bit v 1809.

Both with the OPEN_CL activated, and deactivated.

pc1: intel I7 4280, 16 Giga RAM DDR3, SSD, GTX 850ME

pc2: intel I7 6800K, 16 Giga DDR4, SSD, GTX 1060 6 giga.

History

#1 - 2019-03-22 08:49 PM - luca bellani

- File Anotación 2019-03-22 134724.png added

I noticed the following: it goes in crash, at the moment I click the button to reset the scale factor. If I write a value myself, it does not cause problems, but

when I reset it, QGIS is closed.

#2 - 2019-03-23 12:02 AM - Giovanni Manghi

- Category changed from GUI to Map Canvas

- Status changed from Open to Feedback

- Priority changed from Normal to High

are the crashes project/data dependent? or it happens regardless the project/data?

#3 - 2019-03-23 04:10 AM - luca bellani

Hello, I will do more tests in the next days, to be able to define better what you ask me. And see if it just happens with that data. It is a heterogeneous

project in terms of data handled. Thank you

#4 - 2019-03-23 04:55 AM - luca bellani

- File error maps canvas.mp4 added

I did some tests: the crash is always presented, the button is pressed to reset the scale factor. With any type of data, and as an attached video, also with
the empty project, without data layers ..

#5 - 2019-03-23 11:45 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Operating System deleted (windows 10 64 bit)

- Affected QGIS version changed from 3.4.5 to 3.6.0

- Subject changed from crash error new map view to qgis crashes when resetting map scale in  new map view

confirmed on Linux too.

#6 - 2019-03-23 02:43 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#7 - 2019-03-25 05:13 PM - Alessandro Pasotti

- Status changed from Open to Closed

- Resolution set to up/downstream

I tried to debug with Qt 5.11.2 and the crash goes deep into Qt libraries.

I cannot reproduce the issue with a debug build of Qt 5.12.1, so I suspect that it's a Qt issue that was solved between the two releases.

#8 - 2019-03-26 08:48 AM - Alessandro Pasotti

- Status changed from Closed to Open

- Assignee deleted (Alessandro Pasotti)

ok, I tried now with a release build of Qt 5.12.1 and the crash is still there.

I'm not yet 100% sure it's an upstream bug and I'm sorry but I'm unable to debug it, so I'm leaving this open.

#9 - 2019-03-26 12:09 PM - Giovanni Manghi

- Resolution deleted (up/downstream)

Files

1.PNG 68.8 KB 2019-03-22 luca bellani

Anotación 2019-03-22 134724.png 1.4 MB 2019-03-22 luca bellani

error maps canvas.mp4 1.5 MB 2019-03-23 luca bellani

2024-03-20 2/2


